Bug 129808 - strace is missing ioctl names for SCSI ioctls
Summary: strace is missing ioctl names for SCSI ioctls
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: strace   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-12 20:21 UTC by Peter Jones
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 22:28:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This adds ioctls to the list that strace uses to decode their numbers for display. (2.59 KB, patch)
2004-08-12 20:22 UTC, Peter Jones
no flags Details | Diff
strace-4.5.7-alt-ioctl-scsi.patch (4.00 KB, patch)
2004-09-12 22:08 UTC, Dmitry V. Levin
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:131 normal SHIPPED_LIVE strace bug fix update 2005-05-19 04:00:00 UTC

Description Peter Jones 2004-08-12 20:21:18 UTC
Description of problem:

There are a number of ioctls which aren't displayed when stracing
applications which use scsi-generic or SG_IO.  I'll post a patch in a
comment.

Comment 1 Peter Jones 2004-08-12 20:22:14 UTC
Created attachment 102672 [details]
This adds ioctls to the list that strace uses to decode their numbers for display.

Comment 2 Dmitry V. Levin 2004-09-12 21:55:15 UTC
Patch for ioctlent.h should be based on autogenerated ioctlent.h

Comment 3 Dmitry V. Levin 2004-09-12 22:08:08 UTC
Created attachment 103775 [details]
strace-4.5.7-alt-ioctl-scsi.patch

Proposed patch.

Comment 4 Roland McGrath 2004-10-06 22:28:33 UTC
The second patch is in upstream now.

Comment 5 Tim Powers 2005-05-19 21:09:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-131.html



Note You need to log in before you can comment on or make changes to this bug.